### Hierarchy

- AbstractNode
  - ValuedDefinition
    - FieldDefinition
    - InputValueDefinition
    - FieldDefinition
    - InputValueDefinition
    - FieldDefinition
    - InputValueDefinition

## Index

### Constructors

- constructor

### Properties

- annotations
- default
- description
- kind
- loc
- name
- type

### Methods

- accept
- getKind
- getLoc

## Constructors

### constructor

- new ValuedDefinition(kinds: string, loc: undefined | Location, name: Name, desc: undefined | StringValue, type: Type, defaultVal: undefined | Value, annotations: Annotation[]): ValuedDefinition

- Overrides AbstractNode.constructor

  - Defined in src/ast/type_definitions.ts:182

  #### Parameters

  - ##### kinds: string

  - ##### loc: undefined | Location

  - ##### name: Name

  - ##### desc: undefined | StringValue

  - ##### type: Type

  - ##### defaultVal: undefined | Value

  - ##### annotations: Annotation[]

  #### Returns ValuedDefinition

## Properties

### annotations

annotations: Annotation[]

- Defined in src/ast/type_definitions.ts:182

### Optional default

default: Value

- Defined in src/ast/type_definitions.ts:181

### Optional description

description: StringValue

- Defined in src/ast/type_definitions.ts:179

### kind

kind: string

Inherited from AbstractNode.kind

- Defined in src/ast/node.ts:13

### Optional loc

loc: Location

Inherited from AbstractNode.loc

- Defined in src/ast/node.ts:14

### name

name: Name

- Defined in src/ast/type_definitions.ts:178

### type

type: Type

- Defined in src/ast/type_definitions.ts:180

## Methods

### accept

- accept(_context: Context, _visitor: Visitor): void

- Inherited from AbstractNode.accept

  - Defined in src/ast/node.ts:29

  #### Parameters

  - ##### _context: Context

  - ##### _visitor: Visitor

  #### Returns void

### getKind

- getKind(): string

- Inherited from AbstractNode.getKind

  - Defined in src/ast/node.ts:21

  #### Returns string

### getLoc

- getLoc(): undefined | Location

- Inherited from AbstractNode.getLoc

  - Defined in src/ast/node.ts:25

  #### Returns undefined | Location

Generated using TypeDoc